更新gcc-4.9.3时遇到的错误

原创 2015年11月17日 21:44:35
make[3]: *** [s-attrtab] Killed
make[3]: Leaving directory `/root/downloads/gcc-4.9.3/gcc_temp/gcc'
make[2]: *** [all-stage1-gcc] Error 2
make[2]: Leaving directory `/root/downloads/gcc-4.9.3/gcc_temp'
make[1]: *** [stage1-bubble] Error 2
make[1]: Leaving directory `/root/downloads/gcc-4.9.3/gcc_temp'

make: *** [all] Error 2


解决办法

http://blog.csdn.net/tangyi2008/article/details/42099427

或者

1.产生swap文件

# dd if=/dev/zero of=/tmp/myswap bs=32k count=32768 


2.格式化swap文件

# mkswap /tmp/myswap


3.启动swap分区

# swapon /tmp/myswap

# free -m可以查看swap分区


4.开机时自动启动新添加的swap分区

# vi /etc/fstab

手动添加

/dec/hdb5 swap swap defaults 0 0 (开机时启动此swap分区) 
/tmp/myswap swap swap defaults 0 0 (开机时启动此swap文件)


修改swappiness值

# vi /proc/sys/vm/swappiness

找到vm.swappiness

改成vm.swappiness=10 保存

sysctl -p


CentOS下安装gcc-4.9.2

1.准备工作 从软件包中安装的一般都不是最新的版本,比如需要支持C++11等原因,则需要安装最新版gcc。 查看位置 # which gcc g++ 查看版本 # g++ -v # gcc -v 如...
  • tangyi2008
  • tangyi2008
  • 2014年12月23日 10:57
  • 3680

GCC最新版安装及错误解决

linux下gcc安装 linux一般可以从软件包等方式直接安装gcc,但不一般不是最新版,比如需要支持C++11 等原因,则需要安装最新版gcc。 (如果系统还没有任何gcc被安装,则需要从开发包...
  • u012561696
  • u012561696
  • 2013年12月26日 10:47
  • 10903

升级 gcc 出错排查

gcc 的安装过程大概是 1. 下载 2. 解压 3. 创建新目录, 进入创建新目录, 执行 解压后gcc 目录的 configure 这里,列出我遇到的升级过程过的错误消息,及我所使...
  • Hello_NB1
  • Hello_NB1
  • 2016年03月23日 14:47
  • 1836

gcc 5.2.0编译错误

checking for int16_t... yes checking for int32_t... yes checking for int64_t... yes checking for ...
  • u012509728
  • u012509728
  • 2015年11月19日 10:23
  • 3104

更新gcc-4.9.3时遇到的错误

make[3]: *** [s-attrtab] Killed make[3]: Leaving directory `/root/downloads/gcc-4.9.3/gcc_temp/gcc'...
  • by_pp
  • by_pp
  • 2015年11月17日 21:44
  • 283

centos升级gcc版本遇到的一些问题

centos6.x版本gcc大多为4.7.x,为了使用最新的C++11,gcc版本必须为4.8.1+,但是手动升级会遇到一些问题。现做一些整理。 大部分的安装过程就不一一叙述了,网上可以找到很多,...
  • Special23
  • Special23
  • 2016年12月08日 15:42
  • 1060

网上下载的word文档提示在试图打开文件时遇到错误的解决方法

问题:网上下载的Word文档在打开时提示【Word在试图打开文件时遇到错误。请尝试下列方法…………】 解决: 方法一: 打不开的文件右键【属性】→ 常规选项卡最下面【解除锁定】 。该方法每次下载...
  • DearMorning
  • DearMorning
  • 2016年07月09日 09:16
  • 5828

使用Linq 更新数据库时遇到的一些问题及解决办法

前一段时间一直比较忙,没时间将自己在工作中总结的一些经验拿出来和大家分享。幸好今天有点时间,就写写吧。 在学习LINQ 时,我几乎被一个困难所击倒,这就是更新数据库的操作。 刚开始使用Li...
  • zhangyumei
  • zhangyumei
  • 2010年04月25日 16:02
  • 3616

GCC最新版安装及错误解决

linux下gcc安装 1、准备工作 linux一般可以从软件包等方式直接安装gcc,但不一般不是最新版,比如需要支持C++11 等原因,则需要安装最新版gcc。 ...
  • e_wsq
  • e_wsq
  • 2014年05月11日 23:23
  • 1893

更新 GCC工具链需要注意的问题

一般更新之后,会有两个或以上版本的 gcc.不建议使用 update-alternatives 来维护。 手动维护(gcc的符号链接) 就可以了。 $ ls /lib/cpp -l lrwxrwxr...
  • CaspianSea
  • CaspianSea
  • 2015年09月10日 00:02
  • 655
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:更新gcc-4.9.3时遇到的错误
举报原因:
原因补充:

(最多只允许输入30个字)